@echo off
set MATLAB=C:\PROGRA~1\MATLAB\R2018b
set MATLAB_ARCH=win64
set MATLAB_BIN="C:\Program Files\MATLAB\R2018b\bin"
set ENTRYPOINT=mexFunction
set OUTDIR=.\
set LIB_NAME=test_call_mex
set MEX_NAME=test_call_mex
set MEX_EXT=.mexw64
call setEnv.bat
echo # Make settings for test_call > test_call_mex.mki
echo CC=%COMPILER%>> test_call_mex.mki
echo CXX=%CXXCOMPILER%>> test_call_mex.mki
echo CFLAGS=%COMPFLAGS%>> test_call_mex.mki
echo CXXFLAGS=%CXXCOMPFLAGS%>> test_call_mex.mki
echo LINKER=%CXXLINKER%>> test_call_mex.mki
echo OPTIMFLAGS=%OPTIMFLAGS%>> test_call_mex.mki
echo DEBUGFLAGS=%DEBUGFLAGS%>> test_call_mex.mki
echo LINKFLAGS=%LINKFLAGS%>> test_call_mex.mki
echo LINKOPTIMFLAGS=%LINKOPTIMFLAGS%>> test_call_mex.mki
echo LINKDEBUGFLAGS=%LINKDEBUGFLAGS%>> test_call_mex.mki
echo MATLAB_ARCH=%MATLAB_ARCH%>> test_call_mex.mki
echo OMPFLAGS= >> test_call_mex.mki
echo OMPLINKFLAGS= >> test_call_mex.mki
echo EMC_COMPILER=mingw64>> test_call_mex.mki
echo EMC_CONFIG=optim>> test_call_mex.mki
"C:\Program Files\MATLAB\R2018b\bin\win64\gmake" -j 1 -B -f test_call_mex.mk
